using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;
using GSD.Globalization;
using GYMONE.Filters;
using WebMatrix.WebData;
namespace GYMONE
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            WebApiConfig.Register(GlobalConfiguration.Configuration);
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
         
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
            AuthConfig.RegisterAuth();
            WebSecurity.InitializeDatabaseConnection("Mystring", "Users", "Id", "UserName", autoCreateTables: true);
           
        }
        protected void Application_BeginRequest(object sender, EventArgs e)
        {
            var p = new PersianCulture();
            Thread.CurrentThread.CurrentCulture = p;
            Thread.CurrentThread.CurrentUICulture = p;
        }
    }
}